
export default {
  fields: {
    id: "关系标识",
    name: "关系名称",
    relation_type: "类型",
    code_name: "代码名称",
    entity_id: "实体标识",
    entity_name: "实体名称",
    ref_entity_id: "引用实体标识",
    ref_entity_name: "引用实体名称",
    nested_name: "嵌套代码名称",
    system_id: "系统",
    lookup: "Lookup",
  },
	views: {
		pickupgridview: {
			caption: "实体关系",
      		title: "实体关系选择表格视图",
		},
		pickupview: {
			caption: "实体关系",
      		title: "实体关系数据选择视图",
		},
		gridview: {
			caption: "实体关系",
      		title: "实体关系表格视图",
		},
		editgridview: {
			caption: "实体关系",
      		title: "实体关系表格视图",
		},
		editview: {
			caption: "实体关系",
      		title: "实体关系编辑视图",
		},
	},
	main_form: {
		details: {
			lookup: "", 
			group1: "实体关系基本信息", 
			formpage1: "基本信息", 
			srforikey: "", 
			srfkey: "关系标识", 
			srfmajortext: "关系名称", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			relationname: "关系名称", 
			reltype: "类型", 
			entityname: "实体名称", 
			codename: "代码名称", 
			refentityname: "引用实体名称", 
			nestedname: "嵌套代码名称", 
			refentityid: "引用实体标识", 
			entityid: "实体标识", 
			relationid: "关系标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			reltype: "类型",
			codename: "代码名称",
			entityname: "实体名称",
			refentityname: "引用实体名称",
			nestedname: "嵌套代码名称",
			relationname: "关系名称",
			entityid: "实体标识",
			refentityid: "引用实体标识",
		},
		nodata:"",
		uiactions: {
		},
	},
	editmain_grid: {
		columns: {
			reltype: "类型",
			codename: "代码名称",
			entityname: "实体名称",
			refentityname: "引用实体名称",
			nestedname: "嵌套代码名称",
			relationname: "关系名称",
			entityid: "实体标识",
			refentityid: "引用实体标识",
		},
		nodata:"",
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
			n_entityname_like: "实体名称(文本包含(%))", 
			n_codename_like: "代码名称(文本包含(%))", 
			n_refentityname_like: "引用实体名称(文本包含(%))", 
			n_nestedname_like: "嵌套代码名称(文本包含(%))", 
		},
		uiactions: {
		},
	},
	editgridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem24: {
			caption: "行编辑",
			tip: "行编辑",
		},
		tbitem25: {
			caption: "新建行",
			tip: "新建行",
		},
		deuiaction1: {
			caption: "保存行",
			tip: "保存行",
		},
		tbitem26: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem18: {
			caption: "其它",
			tip: "其它",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem24: {
			caption: "行编辑",
			tip: "行编辑",
		},
		tbitem25: {
			caption: "新建行",
			tip: "新建行",
		},
		deuiaction1: {
			caption: "保存行",
			tip: "保存行",
		},
		tbitem26: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
};