
export default {
  fields: {
    metric_id: "指标标识",
    metric_name: "指标名称",
    metric_type: "类型",
    ext_op: "附加设置",
    ref_metric: "参照列",
    build_id: "模型构建标识",
    build_name: "模型构建",
    model_id: "模型标识",
    model_name: "模型",
    cfg: "配置",
    field_set: "属性集合",
    createdate: "建立时间",
    updatedate: "更新时间",
  },
	views: {
		gridview: {
			caption: "指标",
      		title: "指标表格视图",
		},
		editview: {
			caption: "指标",
      		title: "指标编辑视图",
		},
	},
	main_form: {
		details: {
			group1: "指标基本信息", 
			formpage1: "基本信息", 
			srfupdatedate: "更新时间", 
			srforikey: "", 
			srfkey: "指标标识", 
			srfmajortext: "指标名称", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			da_metricname: "指标名称", 
			metrictype: "类型", 
			extop: "附加设置", 
			refmetric: "参照列", 
			cfg: "配置", 
			fieldset: "属性集合", 
			createdate: "建立时间", 
			updatedate: "更新时间", 
			modelid: "模型标识", 
			buildid: "模型构建标识", 
			da_metricid: "指标标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			da_metricname: "指标名称",
			metrictype: "类型",
			extop: "附加设置",
			refmetric: "参照列",
			updatedate: "更新时间",
			createdate: "建立时间",
			buildname: "模型构建",
		},
		nodata:"",
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
			n_da_metricname_like: "指标名称(文本包含(%))", 
			n_metrictype_eq: "类型(等于(=))", 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem18: {
			caption: "其它",
			tip: "其它",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
};