
export default {
  fields: {
    id: "规则执行结果标识",
    name: "规则执行结果描述",
    rule_id: "规则标识",
    rule_name: "规则标识",
    ret_value: "是否匹配",
    business_cat: "业务类别",
    key_value_field: "标识属性",
    domains_field: "分区字段",
    time_field: "时间属性",
    createdate: "建立时间",
    dim_field: "维度属性",
    updatedate: "更新时间",
    metric_field: "指标属性",
    ext1_field: "扩展属性1",
    ext2_field: "扩展属性2",
  },
	views: {
		gridview: {
			caption: "执行结果",
      		title: "执行结果表格视图",
		},
		editview: {
			caption: "执行结果",
      		title: "执行结果编辑视图",
		},
	},
	main_form: {
		details: {
			group1: "执行结果基本信息", 
			formpage1: "基本信息", 
			srfupdatedate: "更新时间", 
			srforikey: "", 
			srfkey: "规则执行结果标识", 
			srfmajortext: "规则执行结果描述", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			ru_execresultname: "规则执行结果描述", 
			rulename: "规则标识", 
			keyvaluefield: "标识属性", 
			retvalue: "是否匹配", 
			dimfield: "维度属性", 
			domainsfield: "分区字段", 
			timefield: "时间属性", 
			metricfield: "指标属性", 
			businesscat: "业务类别", 
			ext1field: "扩展属性1", 
			ext2field: "扩展属性2", 
			createdate: "建立时间", 
			updatedate: "更新时间", 
			ru_execresultid: "规则执行结果标识", 
			ruleid: "规则标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			ru_execresultname: "规则执行结果描述",
			ruleid: "规则标识",
			rulename: "规则标识",
			retvalue: "是否匹配",
			dimfield: "维度属性",
			domainsfield: "分区字段",
			keyvaluefield: "标识属性",
			metricfield: "指标属性",
			timefield: "时间属性",
			businesscat: "业务类别",
			ext1field: "扩展属性1",
			ext2field: "扩展属性2",
			createdate: "建立时间",
			updatedate: "更新时间",
		},
		nodata:"",
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
			n_ru_execresultname_like: "规则执行结果描述(文本包含(%))", 
			n_rulename_like: "规则标识(文本包含(%))", 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem18: {
			caption: "其它",
			tip: "其它",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
};