
export default {
  fields: {
    entity_id: "标识",
    entity_name: "实体名",
    logic_name: "逻辑名称",
    code_name: "代码名称",
    table_name: "表名称",
    system_id: "系统标识",
    system_name: "系统",
    ds_id: "数据源标识",
    ds_name: "数据源",
    module_id: "模块标识",
    module_name: "模块",
    ext_params: "扩展参数",
    show_order: "排序",
  },
	views: {
		pickupview: {
			caption: "实体",
      		title: "实体数据选择视图",
		},
		editview: {
			caption: "实体",
      		title: "实体编辑视图",
		},
		gridview: {
			caption: "实体",
      		title: "实体表格视图",
		},
		pickupgridview: {
			caption: "实体",
      		title: "实体选择表格视图",
		},
	},
	main_form: {
		details: {
			druipart1: "", 
			tabpage1: "属性", 
			druipart2: "", 
			tabpage2: "关系", 
			druipart3: "", 
			tabpage3: "数据集", 
			tabpanel1: "", 
			group1: "实体基本信息", 
			formpage1: "基本信息", 
			srforikey: "", 
			srfkey: "标识", 
			srfmajortext: "实体名", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			entityname: "实体名", 
			logicname: "逻辑名称", 
			codename: "代码名称", 
			tablename: "表名称", 
			dsname: "数据源", 
			systemid: "系统标识", 
			dsid: "数据源标识", 
			entityid: "标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			entityname: "实体名",
			codename: "代码名称",
			logicname: "逻辑名称",
			tablename: "表名称",
			dsname: "数据源",
			systemname: "系统",
		},
		nodata:"",
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
			n_logicname_like: "逻辑名称(文本包含(%))", 
			n_entityname_like: "实体名(文本包含(%))", 
			n_codename_eq: "代码名称(=)", 
			n_tablename_like: "表名称(文本包含(%))", 
			n_dsname_like: "数据源(文本包含(%))", 
			n_systemid_eq: "系统标识(等于(=))", 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem18: {
			caption: "其它",
			tip: "其它",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
};