
export default {
  fields: {
    field_id: "属性标识",
    field_name: "属性名称",
    code_name: "代码名称",
    entity_id: "实体标识",
    entity_name: "实体名称",
    entity_code_name: "实体代码名称",
    system_id: "系统",
    field_logic_name: "属性逻辑名",
    field_uni_name: "属性全路径名称",
    field_show_name: "显示名称",
    ref_field_id: "引用属性标识",
    ref_field_name: "引用属性名称",
    relation_id: "引用关系标识",
    relation_name: "引用关系",
    relation_code_name: "关系代码",
    ref_entity_name: "引用实体",
    key_field: "主键",
    major_field: "主信息",
    union_key: "联合主键",
    field_type: "属性类型",
    predefined: "预定义类型",
    dict: "数据字典",
    nullable: "允许为空",
    physical_field: "物理属性",
    data_type: "数据类型",
    data_length: "长度",
    data_preci: "精度",
    expression: "逻辑表达式",
    extension_field: "扩展属性",
    is_enable_audit: "审计",
    show_order: "排序",
  },
	views: {
		editgridview: {
			caption: "属性",
      		title: "属性表格视图",
		},
		pickupgridview: {
			caption: "属性",
      		title: "属性选择表格视图",
		},
		gridview: {
			caption: "属性",
      		title: "属性表格视图",
		},
		editview: {
			caption: "属性",
      		title: "属性编辑视图",
		},
		pickupview: {
			caption: "属性",
      		title: "属性数据选择视图",
		},
	},
	main_form: {
		details: {
			grouppanel2: "分组面板", 
			grouppanel1: "分组面板", 
			grouppanel3: "分组面板", 
			group1: "属性基本信息", 
			formpage1: "基本信息", 
			srforikey: "", 
			srfkey: "属性标识", 
			srfmajortext: "属性名称", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			fieldname: "属性名称", 
			codename: "代码名称", 
			fieldlogicname: "属性逻辑名", 
			dict: "数据字典", 
			fieldtype: "属性类型", 
			datatype: "数据类型", 
			datalength: "长度", 
			datapreci: "精度", 
			keyfield: "主键", 
			majorfield: "主信息", 
			nullable: "允许为空", 
			physicalfield: "物理属性", 
			expression: "逻辑表达式", 
			predefined: "预定义类型", 
			unionkey: "联合主键", 
			relationname: "引用关系", 
			reffieldname: "引用属性名称", 
			relationcodename: "关系代码", 
			refentityname: "引用实体", 
			showorder: "排序", 
			extensionfield: "扩展属性", 
			isenableaudit: "审计", 
			entityid: "实体标识", 
			entityname: "实体名称", 
			relationid: "引用关系标识", 
			reffieldid: "引用属性标识", 
			fieldid: "属性标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			showorder: "排序",
			fieldname: "属性名称",
			fieldlogicname: "属性逻辑名",
			codename: "代码名称",
			entityname: "实体名称",
			fieldtype: "属性类型",
			datatype: "数据类型",
			datalength: "长度",
			datapreci: "精度",
			dict: "数据字典",
			keyfield: "主键",
			majorfield: "主信息",
			nullable: "允许为空",
			predefined: "预定义类型",
			relationname: "引用关系",
			reffieldname: "引用属性名称",
			unionkey: "联合主键",
			physicalfield: "物理属性",
			expression: "逻辑表达式",
			extensionfield: "扩展属性",
			reffieldid: "引用属性标识",
			relationid: "引用关系标识",
			entityid: "实体标识",
		},
		nodata:"",
		uiactions: {
		},
	},
	editmain_grid: {
		columns: {
			showorder: "排序",
			fieldname: "属性名称",
			fieldlogicname: "属性逻辑名",
			codename: "代码名称",
			fieldtype: "属性类型",
			datatype: "数据类型",
			datalength: "长度",
			datapreci: "精度",
			dict: "数据字典",
			keyfield: "主键",
			majorfield: "主信息",
			nullable: "允许为空",
			predefined: "预定义类型",
			relationname: "引用关系",
			reffieldname: "引用属性名称",
			unionkey: "联合主键",
			physicalfield: "物理属性",
			expression: "逻辑表达式",
			extensionfield: "扩展属性",
			reffieldid: "引用属性标识",
			relationid: "引用关系标识",
			entityname: "实体名称",
			entityid: "实体标识",
		},
		nodata:"",
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
			n_fieldlogicname_like: "属性逻辑名(文本包含(%))", 
			n_fieldname_like: "属性名称(文本包含(%))", 
			n_fieldtype_eq: "属性类型(等于(=))", 
			n_datatype_eq: "数据类型(等于(=))", 
			n_physicalfield_eq: "物理属性(等于(=))", 
			n_entityname_like: "实体名称(文本包含(%))", 
		},
		uiactions: {
		},
	},
	editgridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem24: {
			caption: "行编辑",
			tip: "行编辑",
		},
		tbitem25: {
			caption: "新建行",
			tip: "新建行",
		},
		deuiaction1: {
			caption: "保存行",
			tip: "保存行",
		},
		tbitem26: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem18: {
			caption: "其它",
			tip: "其它",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem24: {
			caption: "行编辑",
			tip: "行编辑",
		},
		tbitem25: {
			caption: "新建行",
			tip: "新建行",
		},
		deuiaction1: {
			caption: "保存行",
			tip: "保存行",
		},
		tbitem26: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
};